field_operator::field_gradient_scalar Interface Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions
field_operator::field_gradient_scalar Interface Reference

Compute cell gradient of scalar field or component of vector or tensor field. More...

Collaboration diagram for field_operator::field_gradient_scalar:

## Public Member Functions
subroutine | field_gradient_scalar (f_id, use_previous_t, imrgra, inc, recompute_cocg, n_r_sweeps, verbosity, clip_mode, epsilon, extrap, clip_coeff, grad)

## Detailed Description

Compute cell gradient of scalar field or component of vector or tensor field.

Parameters

  [in] | f_id | field id
  [in] | use_previous_t | 1 if values at previous time step should be used, 0 otherwise
  [in] | imrgra | gradient computation mode
  [in] | inc | 0: increment; 1: do not increment
  [in] | recompute_cocg | 1 or 0: recompute COCG or not
  [in] | n_r_sweeps | >1: with reconstruction
  [in] | verbosity | verbosity level
  [in] | clip_mode | type of clipping
  [in] | epsilon | precision for iterative gradient
  [in] | extrap | extrapolate gradient at boundary
  [in] | clip_coeff | clipping coefficient
  [out] | grad | gradient

## Constructor & Destructor Documentation

subroutine field_gradient_scalar | ( | integer(c_int) | f_id,
|  | integer(c_int) | use_previous_t,
|  | integer(c_int) | imrgra,
|  | integer(c_int) | inc,
|  | integer(c_int) | recompute_cocg,
|  | integer(c_int) | n_r_sweeps,
|  | integer(c_int) | verbosity,
|  | integer(c_int) | clip_mode,
|  | real(kind=c_double) | epsilon,
|  | real(kind=c_double) | extrap,
|  | real(kind=c_double) | clip_coeff,
|  | real(kind=c_double), dimension(*) | grad
| ) |  |

The documentation for this interface was generated from the following file:

- src/base/field_operator.f90